Create a task of the task type for each concept of the list. If the body is empty, the route uses the concepts of the project that match the query parameters. The identifiers of concepts of another project are skipped. A task that exists is skipped. Clients and vendors cannot use this route.
POST
/actions/projects/{project_id}/task-types/{task_type_id}/concepts/create-tasks
curl
curl -X POST "http://api.example.com/actions/projects/a24a6ea4-ce75-4665-a070-57453082c25/task-types/a24a6ea4-ce75-4665-a070-57453082c25/concepts/create-tasks" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '[
""
]'
import requests
url = "http://api.example.com/actions/projects/a24a6ea4-ce75-4665-a070-57453082c25/task-types/a24a6ea4-ce75-4665-a070-57453082c25/concepts/create-tasks"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json",
"Content-Type": "application/json"
}
params = {}
payload = [
""
]
response = requests.post(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
Request example
[
"b24a6ea4-ce75-4665-a070-57453082c250"
]
Response examples (201)
[
{
"id": "a24a6ea4-ce75-4665-a070-57453082c250",
"name": "Concept Modeling",
"task_type_id": "b24a6ea4-ce75-4665-a070-57453082c250",
"task_status_id": "c24a6ea4-ce75-4665-a070-57453082c250",
"entity_id": "d24a6ea4-ce75-4665-a070-57453082c250",
"project_id": "e24a6ea4-ce75-4665-a070-57453082c250"
}
]